| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Macros | Functions
Library version

## Description

## Macros
#define | LIBBLADERF_API_VERSION (0x02060000)

## Functions
API_EXPORT void CALL_CONV | bladerf_version (struct bladerf_version *version)

## Macro Definition Documentation

## ◆ LIBBLADERF_API_VERSION

#define LIBBLADERF_API_VERSION (0x02060000)

libbladeRF API version

As of libbladeRF v1.5.0, this macro is defined to assist with feature detection. Generally, this will be used as follows:

#if defined(LIBBLADERF_API_VERSION) && (LIBBLADERF_API_VERSION >= 0x01050000)
// ... Use features added in libbladeRF v1.5.0 ...
#endif

This value is defined as follows: (major << 24) | (minor << 16) | (patch << 8) | (reserved << 0)

The reserved field may be used at a later date to denote additions between releases. It will be set to zero when not used.

This value is intended to track the values returned by bladerf_version(). Fields are updated per the scheme defined here:

https://github.com/Nuand/bladeRF/blob/master/doc/development/versioning.md

Definition at line 54 of file libbladeRF.h.

## Function Documentation

## ◆ bladerf_version()

API_EXPORT void CALL_CONV bladerf_version | ( | struct bladerf_version * | version | ) |

Get libbladeRF version information

Parameters

  [out] | version | libbladeRF version information